Package org.jboss.resteasy.spi.metadata

## Class FieldParameter

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.Parameter
  - - org.jboss.resteasy.spi.metadata.FieldParameter

-     public class FieldParameter
      extends Parameter

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.spi.metadata.Parameter

      `Parameter.ParamType`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Field` | `field` |

    - ### Fields inherited from class org.jboss.resteasy.spi.metadata.Parameter

      `defaultValue, encoded, genericType, paramName, paramType, resourceClass, type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FieldParameter​(ResourceClass declaredClass, Field field)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AccessibleObject` | `getAccessibleObject()` |
    `Annotation[]` | `getAnnotations()` |
    `Field` | `getField()` |

    - ### Methods inherited from class org.jboss.resteasy.spi.metadata.Parameter

      `getDefaultValue, getGenericType, getParamName, getParamType, getResourceClass, getType, isEncoded, setDefaultValue, setEncoded, setParamName, setParamType, setResourceClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field

          protected Field field

  - ### Constructor Detail

    - #### FieldParameter

          protected FieldParameter​(ResourceClass declaredClass,
                                   Field field)

  - ### Method Detail

    - #### getAccessibleObject

          public AccessibleObject getAccessibleObject()

      Specified by:
        `getAccessibleObject` in class `Parameter`

    - #### getAnnotations

          public Annotation[] getAnnotations()

      Specified by:
        `getAnnotations` in class `Parameter`

    - #### getField

          public Field getField()